from misc import *
class Maze():
	#default targetMice somewhat arbitrarily chosen
	def __init__(self, targetMice=3):
		self.walls = []
		self.darkness = []
		self.tiles = []
		self.items = []
		self.targetMice = targetMice
		for i in range(h * 2 + 1):
			self.walls.append([])
			for j in range(w + 1):
				self.walls[-1].append(0)
		for i in range(h):
			self.tiles.append([])
			for j in range(w):
				self.tiles[-1].append(0)
		for i in range(h):
			self.items.append([])
			for j in range(w):
				self.items[-1].append(0)
		for i in range(h + 1):
			self.darkness.append([])
			for j in range(w + 1):
				self.darkness[-1].append(0)
		self.cages = -1

	#the draw function:
	def drawMaze(self, screen, darkScreen):
		screen.fill((255,255,255))
		darkScreen.fill((0,0,0,0))
		#draw tiles:			
		for row in range(len(self.tiles)):
			for col in range(len(self.tiles[row])):
				cell = self.tiles[row][col]
				if cell:
					screen.blit(tileImages[cell], (col * tileSize, row * tileSize))
					
		#draw items:
		self.cages = 0
		for row in range(len(self.items)):
			for col in range(len(self.items[row])):
				cell = self.items[row][col]
				if cell:
					screen.blit(itemImages[cell], (col * tileSize, row * tileSize))
				if cell == 1:
				#count mice in cages
					self.cages += 1
		
		#draw walls:
		for row in range(len(self.walls)):
			for col in range(len(self.walls[row])):
				cell = self.walls[row][col]
				if cell == 1:
					color = (0,0,0)
				if cell == 2:
					color = (196,196,196)
				if cell == 3:
					color = (150, 50, 0)
				if cell:
					if not row % 2:
						pygame.draw.line(
								screen, color, 
								(col * tileSize, row / 2 * tileSize),
								((col + 1) * tileSize, row / 2 * tileSize), 3)
					else:
						pygame.draw.line(
								screen, color, 
								(col * tileSize, row / 2 * tileSize),
								(col * tileSize, (row / 2 + 1) * tileSize), 3)
		#draw darkness (onto darkScreen):
		for row in range(len(self.darkness)):
			for col in range(len(self.darkness[row])):
				cell = self.darkness[row][col]
				if cell:
					darkScreen.blit(darkImage, (col * tileSize, row * tileSize))
					
	def updateDarkness(self):
		for row in range(len(self.darkness)):
			for col in range(len(self.darkness[row])):
				if self.darkness[row][col]:
					self.darkness[row][col] = 1
			
			
			
			